<?php

function paypal_return_paypals_table($pp_table_or_widget = 'T'){
	if (isset($_GET['pp_method']) AND $_GET['pp_method']<>""){
		$pp_method = $_GET['pp_method'];
	}
	if (isset($_GET['pp_url_pais']) AND $_GET['pp_url_pais']<>""){
		$pp_url_pais = $_GET['pp_url_pais'];
	}
	if (isset($_GET['pp_table_or_widget']) AND $_GET['pp_table_or_widget']<>""){
		$pp_table_or_widget = $_GET['pp_table_or_widget'];
	}
	if($pp_table_or_widget=='X'){//devolver json considerando servidor ....
		//if(current_user_can('ver_paypals')){
		if(true){
			//Obtenemos el total de paypals
			global $wpdb;
			$q="SELECT COUNT(ID) FROM {$wpdb->prefix}posts WHERE post_status='publish' AND post_type='paypals'";
			$total=$wpdb->get_var($q);
			$args = array(
				'posts_per_page'   => $total,
				'offset'           => 0,
				'category'         => '',
				'orderby'          => 'post_title',
				'order'            => 'ASC',
				'post_type'        => 'paypals',
				'post_status'      => 'publish',
				'suppress_filters' => true,
				'meta_query' => array(
					array(
						'key' => '_ppstatus',
						'value' => 'En_revision',
						'compare' => '!=',
					)
				)			
			); 
			$paypls = get_posts($args);

			$retorno=array();
			foreach ($paypls as $paypl){
				$id =$paypl->ID;
				$print_tr=FALSE;
				if(!is_multisite()){//si no es multisite, mostrar todos los paypals
					$print_tr=TRUE;
				}else{
					$blog_id = get_current_blog_id();
					$sites=get_post_meta($id,'_forsites');
					if (!empty($sites[0])){//si es multisite filtramos por pais
						if(in_array($blog_id,$sites[0])){
							$print_tr=TRUE;
						}//if in array blog id END
					}
				}//fin de is multisite. Permite filtrar 

				$print_tr=TRUE;

				if($print_tr){
//echo $pp_method." y:)";
					//modificar aqui
					switch ($pp_method){
						case 'checkout':
							$retorno[]=array(
								'title' => $paypl->post_title,
								'liveAPIUsername' => get_post_meta($id,'_liveAPIUsername',true),
								'liveAPIPassword' => get_post_meta($id,'_liveAPIPassword',true),
								'liveAPISignature' => get_post_meta($id,'_liveAPISignature',true),
								'ppcategory' => get_post_meta($id,'_ppcategory',true),
								'ppdaysales' => get_post_meta($id,'_ppdaysales',true),
								'ppstatus' => get_post_meta($id,'_ppstatus',true)
							);
							break;
						case 'payments':
							$retorno[]=array(
								'title' => $paypl->post_title,
								'liveEmailAddress' => get_post_meta($id,'_liveEmailAddress',true),
								'liveMerchantId' => get_post_meta($id,'_liveMerchantId',true),
								'liveClientId' => get_post_meta($id,'_liveClientId',true),
								'liveSecretKey' => get_post_meta($id,'_liveSecretKey',true),
								'ppcategory' => get_post_meta($id,'_ppcategory',true),
								'ppdaysales' => get_post_meta($id,'_ppdaysales',true),
								'ppstatus' => get_post_meta($id,'_ppstatus',true)
							);
							break;
						
					}
				}//fin de si print_tr
			}//foreach paypls END
			$salida = json_encode($retorno);
			//$salida = str_replace("{","a31b",$salida);
			//$salida = str_replace("}","a32b",$salida);
			//$salida = "esto debiera salir....";
			return $salida;
		}
	}

	if($pp_table_or_widget=='W'){// Llamado por paypal-show-widget.php para devolver json con paypals de todos los paises

	global $wpdb;
	$sites = get_sites(array('archived' => 0));
	//$retorno=array();
	$i=0;
	foreach ( $sites as $site ) {
        switch_to_blog( $site->blog_id );
        //do things paypal-not-used-functions.php linea 110

		$sitio = get_option( 'blogname' );
		$sitio1 = strpos(strtoupper($sitio),'MANUALS');
		if(is_bool($sitio1)){
			$pp_user_name=paypal_username('user');//user|email establece global $paypal_user_field
			// con este pp
			$pp_date_changed = get_option('_paypalupdatedate');
			$main_paypal_site = get_main_shop();//retorna el id del servidor paypal

			$colorcod=paypal_color($main_paypal_site,$pp_user_name); //obtiene la categoria en el cada sitio del bucle
			$colorcod=paypal_color_span($colorcod);

			$ppactivesales=ppactivesales($main_paypal_site,$pp_user_name); 
			$ppdaysales=ppdaysales($main_paypal_site,$pp_user_name); 
			$ppmonthsales=ppmonthsales($main_paypal_site,$pp_user_name); 
			$pplifetimesales=pplifetimesales($main_paypal_site,$pp_user_name); 
			$ppmonthlimit=ppmonthlimit($main_paypal_site,$pp_user_name); 
			//$mostrar.="<td><span> ".$sitio."</span></td><td><div style='color:red;font-size:16px;'>".$pp_user_name."</div>".$colorcod."&nbsp;&nbsp;Changed on: ".$pp_date_changed."</td><td align='center'><b>".$ppdaysales."</b></td>";

			$retorno[$i]['sitio']=$sitio;
			$retorno[$i]['pp_user_name']=$pp_user_name;
			$retorno[$i]['colorcod']=$colorcod;
			$retorno[$i]['pp_date_changed']=$pp_date_changed;
			$retorno[$i]['ppactivesales']=$ppactivesales;
			$retorno[$i]['ppdaysales']=$ppdaysales;
			$retorno[$i]['ppmonthsales']=$ppmonthsales;
			$retorno[$i]['ppmonthlimit']=$ppmonthlimit;
			$retorno[$i++]['pplifetimesales']=$pplifetimesales;
			}//fin de sitio <> manuals
		restore_current_blog();
		}//fin de foreach
	$salida = json_encode($retorno);
	return $salida;
	}

	if($pp_table_or_widget=='P'){// Llamado por paypal-show-widget.php para devolver json con paypal del pais actual
		$pp_user_name=paypal_username('user');//user|email establece global $paypal_user_field
		$pp_date_changed = get_option('_paypalupdatedate');
		
		$main_paypal_site = get_main_shop();

		$colorcod=paypal_color($main_paypal_site,$pp_user_name); 
		$colorcod=paypal_color_span($colorcod);

		$ppdaysales=ppdaysales($main_paypal_site,$pp_user_name); 

		$retorno[0]['colorcod']=$colorcod;
		$retorno[0]['pp_user_name']=$pp_user_name;
		$retorno[0]['pp_date_changed']=$pp_date_changed;
		$retorno[0]['ppactivesales']=ppactivesales($main_paypal_site,$pp_user_name); 
		$retorno[0]['ppdaysales']=ppdaysales($main_paypal_site,$pp_user_name); 
		$retorno[0]['ppmonthsales']=ppmonthsales($main_paypal_site,$pp_user_name); 
		$retorno[0]['pplifetimesales']=pplifetimesales($main_paypal_site,$pp_user_name); 

		$salida = json_encode($retorno);
		return $salida;
		
	}

	if($pp_table_or_widget=='T'){//  Llamado por paypal-client-functions.php para devolver json filtrado por status

		//if(current_user_can('ver_paypals')){
		if(true){
			//Obtenemos el total de paypals
			$blog_id = get_current_blog_id();
			switch_to_blog($GLOBALS['pp_server_id']);//se ubica como servidor paypal
				global $wpdb;
				$q="SELECT COUNT(ID) FROM {$wpdb->prefix}posts WHERE post_status='publish' AND post_type='paypals'";
				$total=$wpdb->get_var($q);
				$args = array(
					'posts_per_page'   => $total,
					'offset'           => 0,
					'category'         => '',
					'orderby'          => 'post_title',
					'order'            => 'ASC',
					'post_type'        => 'paypals',
					'post_status'      => 'publish',
					'suppress_filters' => true,
					'meta_query' => array(
						array(
							'key' => '_ppstatus',
							'value' => 'Reserva',
							'compare' => '=',
						)
					)			
				); 
				$paypls = get_posts($args);
				$i=1;
				foreach ($paypls as $paypl){
					$id =$paypl->ID;
					$print_tr=FALSE;
					if(!is_multisite()){//si no es multisite, mostrar todos los paypals
						$print_tr=TRUE;
					}else{
		//				$blog_id = get_current_blog_id();
						$sites=get_post_meta($id,'_forsites',true);
						if (!empty($sites)){//si es multisite filtramos por pais
							if(in_array($blog_id,$sites)){
								$print_tr=TRUE;
							}//if in array blog id END
						}
					}//fin de is multisite. Permite filtrar 
					if($print_tr){
						//modificar aqui
						$liveAPIUsername=get_post_meta($id,'_liveAPIUsername',true);
						$liveAPIPassword=get_post_meta($id,'_liveAPIPassword',true);
						$liveAPISignature=get_post_meta($id,'_liveAPISignature',true);
						
						$liveEmailAddress = get_post_meta($id, '_liveEmailAddress', true);
						$liveMerchantId = get_post_meta($id, '_liveMerchantId', true);
						$liveClientId = get_post_meta($id, '_liveClientId', true);
						$liveSecretKey = get_post_meta($id, '_liveSecretKey', true);
						
						$ppcategory=get_post_meta($id,'_ppcategory',true);
						$ppdaysales=get_post_meta($id,'_ppdaysales',true);
						$pplifetimesales=get_post_meta($id,'_pplifetimesales',true);
						$ppstatus=get_post_meta($id,'_ppstatus',true);
						//modificar aqui
						//return $ppcategory;
					
						$retorno[]=array(
							'paypal_id' => $paypl->ID,
							'post_title' => $paypl->post_title,
							'liveAPIUsername' => get_post_meta($id,'_liveAPIUsername',true),
							'liveAPIPassword' => get_post_meta($id,'_liveAPIPassword',true),
							'liveAPISignature' => get_post_meta($id,'_liveAPISignature',true),
							'liveEmailAddress' => get_post_meta($id,'_liveEmailAddress',true),
							'liveMerchantId' => get_post_meta($id,'_liveMerchantId',true),
							'liveClientId' => get_post_meta($id,'_liveClientId',true),
							'liveSecretKey' => get_post_meta($id,'_liveSecretKey',true),
							'ppcategory' => get_post_meta($id,'_ppcategory',true),
							'ppactivesales' => get_post_meta($id,'_ppactivesales',true),
							'ppdaysales' => get_post_meta($id,'_ppdaysales',true),
							'ppmonthsales' => get_post_meta($id,'_ppmonthsales',true),
							'pplifetimesales' => get_post_meta($id,'_pplifetimesales',true),
							'ppstatus' => get_post_meta($id,'_ppstatus',true)
						);
					}//fin de si print_tr
				}//foreach paypls END
				$salida = json_encode($retorno);
			restore_current_blog();
			return $salida;
		}

		
	}//fin de if T
}// fin de funcion

//devolver el monto que tiene un paypal por su correo para widget
//llevar a paypal return paypals table
function ppactivesales($main_site, $paypal_user_name)
{
	GLOBAL $wpdb;
	$main_site = $main_site==1?"":$main_site."_";
	$postmeta = "wp_".$main_site."postmeta";
	$posts = "wp_".$main_site."posts";
	$q = "SELECT M.post_id FROM ".$postmeta." M, ".$posts." P WHERE P.ID=M.post_id AND P.post_status = 'publish' AND M.meta_key = '".$GLOBALS['_user_email_name']."' AND M.meta_value = '".$paypal_user_name."'";
	$paypal_id = $wpdb->get_var($q);
	return $wpdb->get_var("SELECT meta_value FROM ".$postmeta." WHERE post_id = ".$paypal_id." AND meta_key = '_ppactivesales'");
}

function ppdaysales($main_site, $paypal_user_name)
{
	GLOBAL $wpdb;
	$main_site = $main_site==1?"":$main_site."_";
	$postmeta = "wp_".$main_site."postmeta";
	$posts = "wp_".$main_site."posts";
	$q = "SELECT M.post_id FROM ".$postmeta." M, ".$posts." P WHERE P.ID=M.post_id AND P.post_status = 'publish' AND M.meta_key = '".$GLOBALS['_user_email_name']."' AND M.meta_value = '".$paypal_user_name."'";
	$paypal_id = $wpdb->get_var($q);
	return $wpdb->get_var("SELECT meta_value FROM ".$postmeta." WHERE post_id = ".$paypal_id." AND meta_key = '_ppdaysales'");
}

function ppmonthsales($main_site, $paypal_user_name)
{
	GLOBAL $wpdb;
	$main_site = $main_site==1?"":$main_site."_";
	$postmeta = "wp_".$main_site."postmeta";
	$posts = "wp_".$main_site."posts";
	$q = "SELECT M.post_id FROM ".$postmeta." M, ".$posts." P WHERE P.ID=M.post_id AND P.post_status = 'publish' AND M.meta_key = '".$GLOBALS['_user_email_name']."' AND M.meta_value = '".$paypal_user_name."'";
	$paypal_id = $wpdb->get_var($q);
	return $wpdb->get_var("SELECT meta_value FROM ".$postmeta." WHERE post_id = ".$paypal_id." AND meta_key = '_ppmonthsales'");
}

function pplifetimesales($main_site, $paypal_user_name)
{
	GLOBAL $wpdb;
	$main_site = $main_site==1?"":$main_site."_";
	$postmeta = "wp_".$main_site."postmeta";
	$posts = "wp_".$main_site."posts";
	$q = "SELECT M.post_id FROM ".$postmeta." M, ".$posts." P WHERE P.ID=M.post_id AND P.post_status = 'publish' AND M.meta_key = '".$GLOBALS['_user_email_name']."' AND M.meta_value = '".$paypal_user_name."'";
	$paypal_id = $wpdb->get_var($q);
	return $wpdb->get_var("SELECT meta_value FROM ".$postmeta." WHERE post_id = ".$paypal_id." AND meta_key = '_pplifetimesales'");
}

function ppmonthlimit($main_site, $paypal_user_name)
{
	GLOBAL $wpdb;
	$main_site = $main_site==1?"":$main_site."_";
	$postmeta = "wp_".$main_site."postmeta";
	$posts = "wp_".$main_site."posts";
	$q = "SELECT M.post_id FROM ".$postmeta." M, ".$posts." P WHERE P.ID=M.post_id AND P.post_status = 'publish' AND M.meta_key = '".$GLOBALS['_user_email_name']."' AND M.meta_value = '".$paypal_user_name."'";
	$paypal_id = $wpdb->get_var($q);
	return $wpdb->get_var("SELECT meta_value FROM ".$postmeta." WHERE post_id = ".$paypal_id." AND meta_key = '_ppmonthlimit'");
}

//devolver el color del paypal sabiendo el main_site (sitio madre de paypals)
//llevar a paypal return paypals table
function paypal_color($main_site,$paypal_user_name)
{
	GLOBAL $wpdb;
	if($main_site==1){
		$main_site = "";
	}else{
		$main_site .= "_";
	}
	$postmeta = "wp_".$main_site."postmeta";
	$posts = "wp_".$main_site."posts";
	$q = "SELECT M.post_id FROM ".$postmeta." M, ".$posts." P WHERE P.ID=M.post_id AND P.post_status = 'publish' AND M.meta_key = '".$GLOBALS['_user_email_name']."' AND M.meta_value = '".$paypal_user_name."'";
	$paypal_id = $wpdb->get_var($q);
	return $wpdb->get_var("SELECT meta_value FROM ".$postmeta." WHERE post_id = ".$paypal_id." AND meta_key = '_ppcategory'");
}//function paypal_color end

//devolver un punto de acuerdo al color del paypal
//llevar a paypal return paypals table
function paypal_color_span($_ppcategory)
{
	switch ($_ppcategory){
		case 'r':
			$color='Pink';
			$bcolor='Crimson';
			break;
		case 'g':
			$color='#E9F5F0';
			$bcolor='YellowGreen';
			break;
		case 'y':
			$color='LemonChiffon'; 
			$bcolor='#FFA500	';
	}
	//return "<span style='background-color:".$color.";border-radius:5px;widht:15px;'>&nbsp;&nbsp;&nbsp;</span>";
	return "<span style='background-color:".$color.";border:solid 1px ".$bcolor."; border-radius:15px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>&nbsp;&nbsp;";
}

//add_shortcode('paypals_table','paypal_return_paypals_table');

