<?php
/*ARTURO: Codigo para la Creacion de un custom type para ABM de paypals EN HIJO*/
/* 1 Creación del usuario supervisor*/
/* 3.- Agregar un listener para paypal checkout*/
/* 7.- Crear una page de redireccion (En tema hijo pais)*/

defined( 'ABSPATH' ) || exit;

	$GLOBALS['user_email_name']='liveAPIUsername';
	$GLOBALS['_user_email_name']='_liveAPIUsername';
	$GLOBALS['paypal_cpt']='paypals';
	$GLOBALS['info_paypal_field']='woocommerce_ppec_paypal_settings';
	$GLOBALS['paypalinputname']='woocommerce_ppec_paypal_api_username';
	$GLOBALS['user_in_settings']='api_username';


/**
 * 1.- Creación del usuario supervision por una sola vez
 */
function usuariopaypal2(){
	$blog_id = get_current_blog_id();
	$user_id = username_exists('supervision');

	if ( $user_id && ! is_user_member_of_blog( $user_id, $blog_id ) ) {
		//Exist's but is not user of the current blog id
		$result = add_user_to_blog( $blog_id, $user_id, 'shop_supervisor' );
	}

	$user_id = username_exists('despacho');

	if ( $user_id && ! is_user_member_of_blog( $user_id, $blog_id ) ) {
		//Exist's but is not user of the current blog id
		$result = add_user_to_blog( $blog_id, $user_id, 'shop_manager' );
	}

	$user = wp_get_current_user();
	$role = $user->roles;

}// fin funcion usuariopaypal2

add_action( 'admin_init', 'usuariopaypal2' );

/*3.- Agregar un listener para paypal checkout*/

function mi_script1() 
{
	$opt = get_option( '_invoices_options' );
	//$ruta = get_option( 'home' )."/";
	$subd=$opt{'subdirectorio'};
	$ruta=$_SERVER['HTTP_HOST'].$subd.get_blog_details()->path;
	echo '
	<script type="text/javascript">
		//*woocommerce_ppec_paypal_api_username* es el nombre y id del input que al hacer clic abrirá una ventana emergente vinculada desde donde se seleccionará el paypal.
		var el = document.getElementById("'.$GLOBALS['paypalinputname'].'");
		el.addEventListener("click", (event) => {
			//listapaypals es el permalink de una pagina que se debe crear y añadir el shortcode [paypals]
			//La pagina debe ser configurada con un template de ancho completo, si no existiere, crear uno en wp-content/themes/nombredeltema/page-templates/nombretemplate.php
			window.open("https://'.$ruta.'listapaypals", "Seleccionar paypals", "toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=700,height=400,left = 890,top = 500");
			}
		);
	</script>';
}

add_action( 'admin_footer', 'mi_script1' );

/*4.- Crear un shortcode 'paypals'*/

function funcion_paypals1() {
	if(current_user_can('ver_paypals')){
		global $wpdb;
		$sites = get_sites();
		switch_to_blog(get_main_shop($GLOBALS['paypal_cpt']));
		$q="SELECT COUNT(ID) FROM {$wpdb->prefix}posts WHERE post_status='publish' AND post_type='".$GLOBALS['paypal_cpt']."'";
		$total=$wpdb->get_var($q);

		$args = array(
			'posts_per_page'   => $total,
			'offset'           => 0,
			'category'         => '',
			'orderby'          => 'post_title',
			'order'            => 'ASC',
			'post_type'        => $GLOBALS['paypal_cpt'],
			'post_status'      => 'publish',
			'suppress_filters' => true,
			'meta_query' => array(
				array(
					'key' => '_ppstatus',
					'value' => 'En_revision',
					'compare' => '!=',
				)
			)
		); 
		$paypls = get_posts($args);
		$tabla.="<style>
			table, th, td {
			  border: 1px solid gray;
			  border-collapse:collapse;
			}
			table input {border:none;background-color:transparent!important;}
		}</style>";
		$tabla.="<h3 style='text-align:center;'>SELECCIONE UN PAYPAL.</h3>";
		$tabla.="<table class='wp-list-table striped' align='center' width='550px'>";
		$tabla.="<tr>";
			$tabla.="<td align='center' width='20px' style='width:20px;'>NR.</td>";
			$tabla.="<td align='center' width='280px'>PAYPAL NAME</td>";
			$tabla.="<td align='center' width='30px'>STATUS</td>";
		$tabla.="</tr>";
		$scripts="";
		$scripts.="
		elemento = window.opener.document.getElementById('newusername');
		if (!elemento){
			var ObjetoInicial = window.opener.document.getElementById('woocommerce_ppec_paypal_api_credentials').innerHTML;//Leer valor 
			let ObjetoMedio = ObjetoInicial.replace('</h3>', '');
			let NuevoInput = '<input type=".'"'."hidden".'"'." id = ".'"'."newusername".'"'." name = ".'"'."newusername".'"'." value=".'"nothing"'."></h3>'
			let ObjetoFinal = ObjetoMedio + NuevoInput;
			window.opener.document.getElementById('woocommerce_ppec_paypal_api_credentials').innerHTML = ObjetoFinal;//Asignar valor
		}
		";
		$i=1;
		foreach ($paypls as $paypl){
			$id =$paypl->ID;
			$sites=get_post_meta($id,'_forsites');
			if(!is_multisite()){//si no es multisite, mostrar todos los paypals
				$print_tr=TRUE;
			}else{
				$blog_id = get_current_blog_id();
				$sites=get_post_meta($id,'_forsites');
				if (!empty($sites[0])){//si es multisite filtramos por pais
					if(in_array($blog_id,$sites[0])){
						$print_tr=TRUE;
					}//if in array blog id END
				}
			}//fin de is multisite. Permite filtrar 
			if($print_tr){
				//modificar aqui
				$liveAPIUsername=get_post_meta($id,'_liveAPIUsername');
				$liveAPIPassword=get_post_meta($id,'_liveAPIPassword');
				$liveAPISignature=get_post_meta($id,'_liveAPISignature');
				$ppcategory=get_post_meta($id,'_ppcategory');
				$ppdaysales=get_post_meta($id,'_ppdaysales');
				$pplifetimesales=get_post_meta($id,'_pplifetimesales');
				$ppstatus=get_post_meta($id,'_ppstatus');
				//modificar aqui
				$APIUsername=$liveAPIUsername[0];
				$APIPassword=$liveAPIPassword[0];
				$APISignature=$liveAPISignature[0];
				$tabla.="<tr>";
					$tabla.="<td align='center' width='20px' style='width:20px;' ><input style='border:none;width:25px;' readonly value='".$i++."'></td>";
					$tabla.="<td width='280px'>".paypal_color_span($ppcategory[0])."&nbsp;<input id='in_".$id."' name='in_".$id."' style='border:none;' readonly value='".$paypl->post_title."'></td>";
					$tabla.="<td width='30px'><input style='width:60px;border:none;' id='in_".$id."' name='amount_".$id."' readonly value='".$ppstatus[0]."'></td>";
				$tabla.="</tr>";
				//modificar aqui
				$scripts.="var el = document.getElementById('in_".$id."');
					el.addEventListener('click', (event) => {
					window.opener.document.getElementById('woocommerce_ppec_paypal_api_username').value='".$APIUsername."';//TextBox1 is in parent page
					window.opener.document.getElementById('woocommerce_ppec_paypal_api_password').value='".$APIPassword."';//TextBox1 is in parent page
					window.opener.document.getElementById('woocommerce_ppec_paypal_api_signature').value='".$APISignature."';//TextBox1 is in parent page
					window.opener.document.getElementById('newusername').value='".$APIUsername."';//TextBox1 is in parent page

					window.close();
					},true
					);";
				
			}//fin de si print_tr
		}//foreach pappls as paypl END
		$tabla.="</table>";
		$url="https://".$_SERVER['SERVER_NAME']."/wp-admin/edit.php?post_type=paypals";
		//$tabla.="<br><p style='text-align:right'><a href='".$url."'>AÑADIR/MODIFICAR/BORRAR PAYPALS</a></p>";
		$tabla.= "<script type='text/javascript'>";
		$tabla.=$scripts;
		$tabla.= "</script>";
		$tabla.="<div id = 'alcargar' onload='creainput()'>.";
		$tabla.="</div>";
		
		restore_current_blog();
    }else{
		$tabla = '<meta http-equiv="refresh" content="2;URL=/shop">';
    }
	return $tabla;
}

add_shortcode('paypals','funcion_paypals1');

/*6.- Crear una page 'listapaypals' (Si no existe)*/
function lista_paypals_page(){
	$args = array(
		'post_type' =>	'page',
		'title'	=> 'listapaypals'
	);
	//	'status'	=> 'publish'
	$my_posts = get_posts( $args );
	if(empty($my_posts))
	{
		$parametros=array(
		'ID'=>'',
		'post_author'=>$user->ID,
		'post_content'=>'[paypals]',
		'post_title'=>'listapaypals',
		'post_name'=>'listapaypals',
		'post_status'=>'publish',
		'post_type'=>'page'
		);
		$post_id = wp_insert_post($parametros);
		add_post_meta($post_id, '_wp_page_template', 'paypals_template.php', true);
	}// Fin de empty

}

add_action( 'admin_init', 'lista_paypals_page' );


/*7.- Crear una page de redireccion (En tema hijo pais)*/

function add_the_theme_page(){
	add_menu_page('Paypals', 'Paypals', 'ver_paypals', 'theme-options', 'page_content', 'dashicons-admin-post',27);
}
add_action('admin_menu', 'add_the_theme_page');

function page_content(){
	$opt = get_option( '_invoices_options' );
	$subd=$opt{'subdirectorio'};

	echo '<br><br><h4>El siguiente enlace redirige a la administracion general de paypals del sitio principal de esta tienda.</h4>';
	echo '<div><h2><a href="https://'.$_SERVER['HTTP_HOST'].$subd.'/wp-admin/edit.php?post_type=paypals" target="_blank">Clic aqui para añadir o modificar paypals</a></h2></div>';
	echo '<h4>Tome en cuenta que la tabla de paypals se administra de forma centralizada en la tienda principal.</h4>';
	echo '<h4>La selección de cuenta paypal en las tiendas por pais se realiza de la forma acostumbrada, en woocommerce/Settings/Payments/Paypal Checkout de la tienda, del pais.</h4>';
}
/*FIN DE: Codigo para la Creacion de un custom type para ABM de paypals*/

include("paypal-common-functions.php");
